Free Trial

ディスカッション - 日本語

答えを見つけ、質問し、Alteryx の専門知識を共有してください。
解決済み

AlteryxDesignerでダウングレードシナリオを適用する方法について

Okutof3
メテオール

Alteryx Analytics Platform バージョンサポートポリシーでは、
ユーザーは Alteryx Designer の新しいバージョンで作成されたワークフローを、Alteryx Designer の旧バージョンでの使用に変換することが可能です。この「ダウングレード」シナリオでは、ダイアログが表示され、ユーザーは変換プロセスを確定するかキャンセルするか問われます。この方法で行われた変換は、互換性に関して完全なテストが行われていません。

ということで新しいバージョン(2019.3)で作成されたワークフローを古いバージョン(2018.4)のAlteryxDesignerで開こうとしましたが下記ポップアップでOKを押しても開けませんでした。新しいバージョン2019.3のほうで明示的にダウングレードする方法をご教示いただけますでしょうか

 テスト.png

5件の返信5
AkimasaKajitani
15 - Aurora
15 - Aurora

バージョンポリシーは

https://help.alteryx.com/ja/20193/designer/hashiyonsahotohorishi

に記載ある内容かと思いますが、新しいバージョンで開いて、古いバージョン用に保存する、という方法は提供されていないように思います(少なくともそのようなメニューを見たことはないです)。

 

その機能は、現状New Ideaとして投稿されていますので、実現させたいということであればそちらで反応頂ければと思います(+1でレスするかイイネをつけるか)。

https://community.alteryx.com/t5/Alteryx-Designer-Ideas/save-as-open-as-Version/idi-p/54424

 

古いバージョンでうまく開けないということで、現実的な方法としては、yxmdファイルをテキストエディタで開き、バージョン情報を書き換えることです。

 

今回のケースですと、「2019.3」と書き換えてみて下さい。

 

 

 

ただし新しいバージョンで不具合が解消されたツールや、新機能については古いバージョンでは再現されないため、ご注意下さい。

 

Okutof3
メテオール

Okutof3
メテオール

AkimasaKajitaniさん もう一つ課題がありました。
①直接EDITしてバージョンを書き換えることで、古いバージョンのAlteryxDesignerで開くことができる。
 ⇒これは暫定対応として解決

 

②①のファイルを新しいバージョンのDesignerで開いた時点で、内部的には新しいバージョンと扱われるようである。AlteryxServerのGALLERYに保存しようとするとエラー(これは新しいバージョンで作成されているというメッセージ)で、実行もできない。

 ⇒ 'downgrade' scenarioの要望を IDEASのトピックに書き込みました。

 

③AlteryxServerをバージョンアップすれば 根本的な対応にはなります。

 

AkimasaKajitani
15 - Aurora
15 - Aurora

Galleryに上げる時にDesignerで開く必要があり、開くと新しいバージョンとして扱われる、ということですよね。

 

Designerは通常異なるバージョンをインストールすることはできませんが、管理者バージョン(Admin)と非管理者バージョン(NonAdmin)であれば異なるバージョンをインストールすることができます。

https://community.alteryx.com/t5/Alteryx-Designer-Knowledge-Base/Installing-two-different-versions-o...

 

ですので、どちら(Non-Admin、Admin)を常用されているかわかりませんが、Serverにアップロードする用にServerのバージョンにあわせた古いバージョンを入れておけば解決するかと思いますが、いかがでしょうか?

Okutof3
メテオール

AkimasaKajitani さん 

ご教示ありがとうございます。お客様にて当該対応ができるかどうか検討を依頼してみます。